Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.models
Class OnlySubscribers

    java.lang.Object
      org.jivesoftware.openfire.pubsub.models.PublisherModel
          org.jivesoftware.openfire.pubsub.models.OnlySubscribers

    public class OnlySubscribers

extends PublisherModel

Subscribers, publishers and owners may publish items to the node.

Author:
  Matt Tucker

Field Summary

Fields inherited from class org.jivesoftware.openfire.pubsub.models.PublisherModel
`open, publishers, subscribers`

Constructor Summary
`OnlySubscribers()`

Method Summary
`boolean` | `canPublish(Node node, org.xmpp.packet.JID entity)` Returns true if the entity is allowed to publish items to the specified node.
`String` | `getName()` Returns the name as defined by the JEP-60 spec.

Methods inherited from class org.jivesoftware.openfire.pubsub.models.PublisherModel
`valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnlySubscribers

    public OnlySubscribers()

Method Detail

### canPublish

    public boolean canPublish(Node node,
                              org.xmpp.packet.JID entity)

  Description copied from class: `PublisherModel`
  Returns true if the entity is allowed to publish items to the specified node.

  Specified by:
    `canPublish` in class `PublisherModel`
  Parameters:
    `node` - the node that may get a new published item by the specified entity.
    `entity` - the JID of the entity that wants to publish an item to the node.
  Returns:
    true if the subscriber is allowed to publish items to the specified node.

### getName

    public String getName()

  Description copied from class: `PublisherModel`
  Returns the name as defined by the JEP-60 spec.

  Specified by:
    `getName` in class `PublisherModel`
  Returns:
    the name as defined by the JEP-60 spec.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.